Subject: Re: Alternates and push

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 9 Sep 2008 07:57:14 -0700

Petr Baudis <[email-masked]> wrote:
> On Sat, Sep 06, 2008 at 12:21:06PM -0700, Shawn O. Pearce wrote:
> > github should do what repo.or.cz does:
> > 
> > 	ln -s .../linus.git/refs digispeaker.git/refs/forkee
> 
> But it should be used only in controlled environment. If you happen to
> have permissions to write to the forkee, you can wipe out its refs with
> git fetch --mirror (and if you don't happen to have permissions, it will
> just fail, so currently you cannot use this on repo.or.cz forks,
> unfortunately). If you don't make sure refs are never packed (I do on
> repo.or.cz, historically because of dumb transports - do they support
> packed refs by now?), this won't work either. Maybe there are other
> considerations too.

All very good points.

The dumb transports do support packed-refs in more modern versions.
I forget when they learned it though.  Being nice to them by not
packing refs is still good if you can.

-- 
Shawn.